Retrieves the job work instruction list with the specified key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "4e7048d3-3218-4ac7-ad45-428458770482",
  "jobs_id": "d86d4f3e-f9c8-45d6-bfdf-7e4d9e6f687f",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "e9719d4c-60a2-4798-9cfb-93a657076869",
    "_parent_id": "fc4259d2-1341-4aa1-a6ed-97774327498f",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "37e75275-956b-4276-ac45-dbefbfbe6ca5",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "816f387b-6aec-4772-a944-08a49c056520",
      "_parent_id": "9c91badd-4302-461d-a5f2-1c3f2367ab62",
      "root_parent_id": "8409d99a-ffc4-4043-afb8-defa3d8d1f01",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "f1792bbd-6048-427c-8426-60fdc17dd0e4",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "fbd666ac-e982-4248-951d-aa799d3b3f68",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "60c88f16-2aba-4ecd-9786-6f24b98800f2",
        "_parent_code": "sample string 6",
        "sales_organization_id": "3c9fa6a3-fc26-41d1-b43e-887f105c49bf",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
          "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
          "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
        },
        "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
      },
      "equipment_model_id": "8cc7aefa-36d0-4c41-9c09-2ebc5fce539a",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "a056d70a-ba5b-4df7-ad43-e04ddf4608b0",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "bc0e6f53-edb1-432d-8be5-3bb62320e608",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "bde6d36d-1bd5-413b-922b-db09fa7cb156",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "0129d2d5-ac80-4231-8e00-42e9da5323d8",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
            "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
            "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
          },
          "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
        },
        "equipment_family_id": "1d68b37b-3795-48ec-a42d-bb110cc3a370",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "fbd666ac-e982-4248-951d-aa799d3b3f68",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "60c88f16-2aba-4ecd-9786-6f24b98800f2",
          "_parent_code": "sample string 6",
          "sales_organization_id": "3c9fa6a3-fc26-41d1-b43e-887f105c49bf",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
            "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
            "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
          },
          "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
        },
        "date_in_production_since": "2026-10-21T18:26:24.6091423+00:00",
        "date_out_of_production_since": "2026-10-21T18:26:24.6091423+00:00",
        "date_end_support": "2026-10-21T18:26:24.6091423+00:00",
        "sales_organization_id": "cea4c296-5e7c-43c7-bc2e-fb25173e03a2",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
          "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
          "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
      },
      "project_status_id": "782e5e9d-f9d3-4afc-bc1f-67df4668eb84",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "264e1776-08cb-44e5-a761-7bf3c904cdd0",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "1e8910e8-f611-4fbd-ab34-4f43663dce4f",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
          "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
          "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
      },
      "company_id": "ddb22e9b-4551-4dfc-9e4e-4d24544be270",
      "company_code": "sample string 12",
      "db_address_id": "6bce804f-04bc-4039-b8c3-238c088c881c",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "c037041c-ead3-46f3-a4b7-2839b895ae46",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "f35058d5-6368-459e-9e80-960d4eedee8d",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-10-21T18:26:24.6207936+00:00",
      "date_create": "2026-10-21T18:26:24.6207936+00:00",
      "date_update": "2026-10-21T18:26:24.6207936+00:00",
      "updated_by_user_id": "faada2ed-fa44-4493-8327-1fb0e4690817",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-10-21T18:26:24.6207936+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-10-21T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-10-21T18:26:24.6207936+00:00",
      "date_last_job": "2026-10-21T18:26:24.6207936+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-10-21T18:26:24.6207936+00:00",
      "modified_dateutc": "2026-10-21T18:26:24.6207936+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "5cbadb8a-276f-4fee-970f-6160cb5ab908",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "fecc126c-5de0-4a41-b29c-a0a28141297c",
      "name": "sample string 2",
      "sales_organization_id": "50ed5694-0a14-4805-bddb-a03a0ac496b9",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-10-21T18:26:24.6207936+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "d2bade5c-a13c-4b1b-a999-69ac029f4f9a",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "87d487d1-bc60-4b13-8087-7b340f8c7bb9",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "b4e504b7-9c4b-472c-8f06-e9afee7f1e7d",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
        "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
        "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-10-21T18:26:24.6207936+00:00"
    },
    "job_status_id": "d478d4e6-6890-401a-9259-7e8a02abf616",
    "job_status_code": "sample string 11",
    "db_address_id": "97a834d9-4de0-4da3-9349-f4e1f1e2750d",
    "contact_id": "728a4fd7-bf98-4835-b6ae-f557acd5e2d3",
    "requested_by_company_id": "fa038180-56ea-48ee-a5e1-5ae894c758a5",
    "requested_by_contact_id": "79e1638b-343d-48fa-bc14-1f2a277e0d66",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-10-21T18:26:24.6207936+00:00",
    "due_date": "2026-10-21T18:26:24.6207936+00:00",
    "date_create": "2026-10-21T18:26:24.6207936+00:00",
    "date_update": "2026-10-21T18:26:24.6207936+00:00",
    "date_closed": "2026-10-21T18:26:24.6207936+00:00",
    "suggested_user_id": "cf90c685-88b7-4f4a-b055-4d3eb513af4d",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "83b7c5f4-c0e5-4f32-b83d-900b0f417217",
      "db_language_id": "b8bc24f9-2513-4603-8566-1c8cd40db1de",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-10-21T18:26:24.6207936+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "7346b607-d187-4b7d-adf3-c18caf432157",
      "sales_organization": {
        "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
        "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
        "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "8391f6e8-fa72-473b-8a8c-6c2a9f7fd541",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "e710e726-40cc-477e-8520-93f54340aa81",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-10-21T18:26:24.6207936+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "bcb91a03-c4ec-46f4-9a81-c8da3d789a48"
    },
    "suggested_date_start": "2026-10-21T18:26:24.6207936+00:00",
    "skill_id": "c79679c1-17c6-45fc-8731-182edcad6892",
    "skill_code": "sample string 32",
    "skill": {
      "id": "c987815f-c23c-4b50-96a8-161c943b0712",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "5413944e-75e4-411d-acc6-e054b52d1a85",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "d72e9e7e-3549-4e22-8b0f-acfb3d06df3f",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "cb4287bc-3613-406a-9022-0e951add11e7",
        "db_currency_id": "a56af188-d7ad-44f1-8b6a-5017b252c0aa",
        "db_language_id": "6822c030-0d54-4b76-a475-49cad31449a5",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-10-21T18:26:24.6091423+00:00"
      },
      "modified_dateutc": "2026-10-21T18:26:24.6207936+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "07996d9a-ed3a-47ff-bab5-088d2b8d7b6b",
    "date_reported_by_company": "2026-10-21T18:26:24.6207936+00:00",
    "id2": 36,
    "company_id": "3f02a247-294e-4df7-84e3-1a9ba8e37023",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "ed2a3bb9-4d27-4ec5-a55c-fbd46be55731",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-10-21T18:26:24.6207936+00:00"
  },
  "work_instruction_details_id": "116d81af-e6e0-4bd6-a32a-f558659592f1",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "973a7b72-c93b-4520-8c58-7b3697cebb31",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "6f1a3ee3-c30a-469b-8ff6-fd08114af883",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-10-21T18:26:24.6207936+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "a8b20dd3-b1e5-4324-8ddf-38f402e0c86b",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-10-21T18:26:24.6207936+00:00"
}